%define srcname pydsdl
%define version 1.18.0
%define release 2

Summary: Cyphal DSDL compiler front-end implemented in Python
Name: %{srcname}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
License: MIT
Group: Development/Libraries
BuildArch: noarch
Vendor: OpenCyphal Development Team <maintainers@opencyphal.org>
Url: https://opencyphal.org
BuildRequires: python3-devel python3-setuptools

%description

 PyDSDL is a Cyphal DSDL compiler front-end implemented in Python. It
 accepts a DSDL namespace at the input and produces a well-annotated
 abstract syntax tree (AST) at the output, evaluating all constant
 expressions in the process. All DSDL features defined in the Cyphal
 Specification are supported. The library should, in theory, work on
 any platform and with any Python implementation.
 
 Read the docs at pydsdl.readthedocs.io.


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools python3dist(wheel)
%description -n python3-%{srcname}
%{description}

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files pydsdl

%files -n python3-pydsdl -f %{pyproject_files}
%license LICENSE
%doc README.md docs/*
